Session withdrawals
此页面暂无中文版本,显示的是英文版本。
Get session withdrawal action
Use this method to learn what is needed from the client now. Poll it every 2-3 seconds while the status is `pending` and request it again on the `session_withdrawal_updated` WebSocket event. `ready` gives the action (a redirect to the payment system or requisites), `completed` means nothing is needed from the client and the withdrawal is processed (its outcome is shown in the operations history), `failed` gives the error. The action exists for the stage before the session of the payment system ends: once the session is over, the withdrawal is followed in the operations history and this method answers 404.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Session withdrawal identifier.
Format
uuidHeader Parameters
accept-language?string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/my/session-withdrawals/01928f4e-7b3a-7c1d-9e2f-3a4b5c6d7e8f/action" \ -H "accept-language: ja"{ "id": "01928f4e-7b3a-7c1d-9e2f-3a4b5c6d7e8f", "sourceCurrencyAmount": "100.50", "sourceCurrencyAlphaCode": "USD", "destinationCurrencyAmount": "90.92", "destinationCurrencyAlphaCode": "EUR", "method": { "id": 42, "caption": "Card withdrawal" }, "updatedAt": "2022-01-01T00:00:00+00:00", "status": "ready", "action": null, "error": null, "steps": [ { "name": "hold", "status": "in_progress" } ]}{ "error": { "message": "Unauthorized" }}{ "errors": [ { "name": "Error name", "description": "Description", "args": {} } ]}{ "error": { "message": "Too Many Requests" }}{ "error": { "message": "Access from this country is restricted", "details": { "ip": "203.0.113.42", "country": "RU" } }}{ "errors": [ { "name": "Error name", "description": "Description", "args": {} } ]}